GridFire 0.6.0 General Purpose Nuclear Network

Loading...
Searching...
No Matches
Namespaces | Functions
construction.h File Reference
`#include "gridfire/reaction/reaction.h"`
`#include "gridfire/engine/types/building.h"`
`#include "fourdst/composition/composition.h"`
`#include <variant>`
`#include "gridfire/reaction/weak/weak_interpolator.h"`

## Namespaces
namespace | gridfire

## Functions
reaction::ReactionSet | gridfire::build_reaclib_nuclear_network (const fourdst::composition::Composition &composition, const rates::weak::WeakRateInterpolator &weakInterpolator, BuildDepthType maxLayers=NetworkBuildDepth::Full, bool reverse=false)
| Builds a nuclear reaction network from the Reaclib library based on an initial composition.